package org.jerrymouse.cc.site.webresource;

import static org.junit.Assert.*;

import java.net.URLDecoder;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jerrymouse.cc.site.test.BaseTest;
import org.jerrymouse.cc.site.web.spider.WebResource;
import org.junit.Test;

public class WebResourceTest extends BaseTest {
	WebResource webResource;

	Log log = LogFactory.getLog(getClass());

	@Override
	protected void onSetUp() throws Exception {
		super.onSetUp();
		//webResource = new WebResource(
			//	"http://localhost:8080/rest/user/yankai/storage/open_3d");
		 webResource = new WebResource(
		 "http://www.tudou.com/playlist/playindex.do?lid=7328348&iid=39516812&cid=24");
	}

	@Test
	public void testGetName() throws Exception {
		log.debug(webResource.getName());
	}

	@Test
	public void testGetType() throws Exception {
		log.debug(webResource.getType());
	}

	@Test
	public void testGetByte() throws Exception {
		log.debug(webResource.getBytes());
	}
}
